using System;
using System.Data;
using System.Web;
using System.Collections.Generic;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.ComponentModel;
using TopWinCMS.BLL;
using TopWinCMS.Common;
/// <summary>
/// FindMember 的摘要说明
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class FindMember : System.Web.Services.WebService
{
     
    [WebMethod]
    public string[] GetCompletionList(string prefixText, int count)
    {
        List<string> items = new List<string>(count);
        DataSet myDataSet = new MemberManage().SearchMember(MyString.SQL_ESC(prefixText));

        for (int i = 0; i < myDataSet.Tables[0].Rows.Count; i++)
        {
            if (i < count)
            {
                items.Add(myDataSet.Tables[0].Rows[i][0].ToString());
            }
        }

        return items.ToArray();

    }
}